Name:           python-accessible-pygments
Version:        0.0.4
Release:        %autorelease
Summary:        Accessible pygments themes

BuildArch:      noarch
License:        BSD-3-Clause
URL:            https://quansight-labs.github.io/accessible-pygments/
Source0:        https://github.com/Quansight-Labs/accessible-pygments/archive/v%{version}/accessible-pygments-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pygments}

%description
This package includes a collection of accessible themes for pygments
based on different sources.

%package     -n python3-accessible-pygments
Summary:        Accessible pygments themes

%description -n python3-accessible-pygments
This package includes a collection of accessible themes for pygments
based on different sources.

%prep
%autosetup -n accessible-pygments-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files a11y_pygments

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
python3 test/run_tests.py

%files -n python3-accessible-pygments -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE

%changelog
%autochangelog
